controllers/EntradasController.php
<?php

namespace app\controllers;

use app\models\Entradas;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EntradasController implements the CRUD actions for Entradas model.
 */
class EntradasController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Entradas models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Entradas::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'identrada' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Entradas model.
     * @param int $identrada Identrada
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($identrada)
    {
        return $this->render('view', [
            'model' => $this->findModel($identrada),
        ]);
    }

    /**
     * Creates a new Entradas model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Entradas();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'identrada' => $model->identrada]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Entradas model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $identrada Identrada
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($identrada)
    {
        $model = $this->findModel($identrada);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'identrada' => $model->identrada]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Entradas model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $identrada Identrada
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($identrada)
    {
        $this->findModel($identrada)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Entradas model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $identrada Identrada
     * @return Entradas the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($identrada)
    {
        if (($model = Entradas::findOne(['identrada' => $identrada])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
    
    
    
    
    
    
}

controllers/ObjetivosController.php
<?php

namespace app\controllers;

use Yii; // Agrega esta línea para importar la clase Yii
use app\models\Objetivos;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

// Resto del código del controlador...

/**
 * ObjetivosController implements the CRUD actions for Objetivos model.
 */
class ObjetivosController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Objetivos models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Objetivos::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codobj' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Objetivos model.
     * @param int $codobj Codobj
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($codobj)
    {
        return $this->render('view', [
            'model' => $this->findModel($codobj),
        ]);
    }

    /**
     * Creates a new Objetivos model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
   public function actionCreate()
    {
        $model = new Objetivos();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'codobj' => $model->codobj]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    // Resto del código del controlador...


    /**
     * Updates an existing Objetivos model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $codobj Codobj
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    
    public function actionUpdate($codobj)
    {
        $model = $this->findModel($codobj);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'codobj' => $model->codobj]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }
/**
 * Deletes an existing Objetivos model.
 * If deletion is successful, the browser will be redirected to the 'index' page.
 * @param int $codobj Codobj
 * @return \yii\web\Response
 * @throws NotFoundHttpException if the model cannot be found
 */
public function actionDelete($codobj)
{
    // Encuentra el modelo del objetivo a eliminar
    $model = $this->findModel($codobj);
    // Elimina el modelo de la base de datos
    $model->delete();

    // Obtener el último codobj existente en la base de datos
    $lastCodobj = Objetivos::find()->max('codobj');

    // Actualizar el contador codobj
    // resetSequence() reinicia la secuencia de la tabla a un nuevo valor especificado
    // 'objetivos' es el nombre de la tabla
    // $lastCodobj + 1 es el nuevo valor para la secuencia
    Yii::$app->db->createCommand()->resetSequence('objetivos', $lastCodobj + 1)->execute();

    // Redirige a la página de índice después de la eliminación
    return $this->redirect(['index']);
}



    /**
     * Finds the Objetivos model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $codobj Codobj
     * @return Objetivos the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($codobj)
    {
        if (($model = Objetivos::findOne(['codobj' => $codobj])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
    
    //Función para la creación del formulario
    public function actionCreateCustom(){
    $model = new Objetivos();

    if ($model->load(Yii::$app->request->post()) && $model->save()) {
        // Si se guardó correctamente, redirige a la página de detalle del nuevo objetivo
        return $this->redirect(['view', 'codobj' => $model->codobj]);
    } else {
        // Si hubo algún error al guardar, vuelve a mostrar el formulario
        return $this->render('create_custom', [
            'model' => $model,
        ]);
    }
}

    
    
    
    
    
    
    
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Entradas;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
 public function actionIndex()
{
    try {
        //obtengo las entradas de diario más recientes
        $entradas = \app\models\Entradas::find()->orderBy(['fechaentrada' => SORT_DESC])->limit(6)->all();
    } catch (\Exception $e) {
        Yii::error('Error al recuperar las entradas de diario: ' . $e->getMessage());
        $entradas = [];
    }

    //llamo a la acción para contar las entradas positivas y negativas
    $countResult = $this->actionGraficoEntradas();

    return $this->render('index', [   //renderizo en el index 
        'entradas' => $entradas,
        'positivas' => $countResult['positivas'],
        'negativas' => $countResult['negativas'],
    ]);
}

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    
   /*mi primera explotacion de datos con los datos detallados de las ultimas 6 entradas del diario*/
public function actionView($id)
{
    // Buscar la entrada por su ID
    $entrada = Entradas::findOne($id);

    // Verificar si la entrada existe
    if (!$entrada) {
        throw new \yii\web\NotFoundHttpException("La entrada con el ID $id no existe.");
    }

    //Cargar los pensamientos asociados a esta entrada
    $pensamientos = $entrada->getCodpens()->all();
    //cargar las emociones asociadas a esta entrada
    $emociones = $entrada->getCodemos()->all();

    $sensaciones = $entrada->getCodsensas()->all();

    return $this->render('vista_detalles', [
    'entrada' => $entrada,
    'pensamientos' => $pensamientos,
    'sensaciones' => $sensaciones,
    'emociones' => $emociones, 
]);

}

/*grafico*/


public function actionGraficoEntradas()
{
    try {
        // Obtener las entradas de diario más recientes
        $entradas = \app\models\Entradas::find()->orderBy(['fechaentrada' => SORT_DESC])->limit(6)->all();

        //cont para las entradas positivas y negativas
        $positivas = 0;
        $negativas = 0;
        //contar la cantidad de entradas positivas y negativas
        foreach ($entradas as $entrada) {
            $pensamientos = $entrada->getCodpens()->all();
            foreach ($pensamientos as $pensamiento) {
                if ($pensamiento->positivo == 1) {
                    $positivas++;
                } else {
                    $negativas++;
                }
            }
        }
    } catch (\Exception $e) {
        Yii::error('Error al contar las entradas de diario: ' . $e->getMessage());
        $positivas = 0;
        $negativas = 0;
    }

    //retorno un arreglo asociativo con los conteos de entradas positivas y negativas 
    return [
        'positivas' => $positivas,
        'negativas' => $negativas,
    ];
}


public function actionInformacion(){
    
     return $this->render('informacion');
    
}






    
}

views/site/about.php
<?php

/** @var yii\web\View $this */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var app\models\ContactForm $model */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
/** @var yii\web\View $this */
$this->title = 'My Yii Application';
use yii\helpers\Html;
use yii\helpers\Url;
use yii\web\View; 

$this->registerCssFile(Url::to('@web/css/entradasDiario.css'));


$this->registerJsFile('@web/js/titulo.js', ['depends' => [\yii\web\JqueryAsset::class]]);



$this->registerJsFile(Url::to('@web/js/scrollVisibilidad.js'), ['position' => View::POS_END]);
?>



<body>
    
<div class="tituloHome">
    <div class="background-image">
    <h1 id="pageTitle" class="animated-title">IKIGAI</h1>
    <hr class="linea-larga">
    <p class="subtitulo">"Tu propósito de vida"</p>
    </div>
</div>
    
    
<div class="contenedor">
    <div class="tarjeta-boton entry">
        <a href="<?= \yii\helpers\Url::to(['entradas/create']) ?>">
            <div class="card-inner">
                <img src="./images/d2.png" alt="Imagen 1">
                <div class="overlay">
                    <h3>Crear Entrada</h3>
                </div>
            </div>
        </a>
    </div>
    <div class="tarjeta-boton entry">
        <a href="<?= \yii\helpers\Url::to(['objetivos/create-custom']) ?>"> <!-- Cambiado a 'create-custom' -->
            <div class="card-inner">
                <img src="./images/obje.png" alt="Imagen 2">
                <div class="overlay">
                    <h3>Establecer Objetivo</h3>
                </div>
            </div>
        </a>
    </div>
</div>



<!--    imagen de fondo 
    <div class="custom-container">
       
    </div>

  
        <div class="texto-infor">          
            <h1>Descubre más sobre Ikigai</h1>
        </div>
  
   
 <div class="container">
    <div class="row d-flex">
         Tarjeta 1 
        <div class="col-md-4 mb-4">
            <div class="card-container" id="ikigai-card">
                <div class="image-container">
                    <img src="./images/pequeIki.png" class="imagen-transparente" alt="Descripción de la imagen">
                </div>
                <div class="content-container">
                    <h2>Significado de Ikigai</h2>
                    <p>Según la cultura japonesa todos tenemos un ikigai, es decir, un propósito de vida o una actividad que nos hace muy felices. Encontrarlo requiere emprender un camino de emprendimiento y crecimiento personal, es decir, un autoconocimiento constante y tenaz que lleva al mejor de los premios: calidad de vida.</p>
                </div>
            </div>
        </div>

         Tarjeta 2 
        <div class="col-md-4 mb-4">
            <div class="card-container" id="Funcionalidad-card">
                <div class="image-container">
                    <img src="./images/peqFun.png"class="imagen-transparente" alt="Descripción de la imagen">
                </div>
                <div class="content-container">
                                <h2>¿Para qué sirve nuestra aplicación?</h2>
                         
                                <strong><p>Comprender tus Emociones:</strong> Identifica tus emociones para un mayor autoconocimiento.</p>
                                     <strong><p>Gestionar el Estrés:</strong> Encuentra técnicas y consejos para manejar el estrés diario.</p>
                                     <strong><p>Descubrir tu Ikigai:</strong> Explora actividades que te apasionen y contribuyan a tu bienestar general.</p>
                                                               
                </div>
            </div>
        </div>

         Tarjeta 3 
        <div class="col-md-4 mb-4">
            <div class="card-container" id="Objetivos-card">
                <div class="image-container">
                    <img src="./images/peqObj.png" class="imagen-transparente" alt="Descripción de la imagen">
                </div>
                <div class="content-container">
                              <h2>Objetivos Personales</h2>
            
                              <p>Establecer metas es fundamental para visualizar lo que verdaderamente es importante en tu vida. Te proporciona una dirección clara y te motiva a alcanzar tu máximo potencial. Requiere autodisciplina para superar los obstáculos que inevitablemente surgen en el camino. Al lograr tus metas, experimentas un profundo sentido de logro y satisfacción personal, lo cual fortalece tu autoestima y confianza en ti mismo.</p>
                  </div>                  
            </div>
        </div>
    </div>
</div>
   --> 
   
   
   <!-- Entradas diario -->

<div class="site-index">
<div class="jumbotron entry">
        <h2 class="titulo-entradas">Últimas Entradas de Diario</h2> 
</div>

     <style>
        /*Oculta las entradas al principio */
        .entry {
            opacity: 0;
            transition: opacity 0.5s ease-in-out;
        }

        /* Aparecen gradualmente las entradas cuando están en el área visible del navegador */
        .entry.visible {
            opacity: 1;
        }
    </style>
    <div class="body-content">
       
        <div class="row"> 
        
            <?php foreach ($entradas as $entrada): ?>
                <div class="col-lg-4 entry">
                    <div class="card-container mb-3">
                        <div class="card">
                            <div class="card-header">
                                <h3><?= Html::encode($entrada->titulo) ?></h3>
                            </div>
                            <div class="card-body">
                                <p><strong>Fecha :</strong> <?= Yii::$app->formatter->asDate($entrada->fechaentrada) ?></p> 
                                <p><?= Html::encode($entrada->descripcion) ?></p>
                                <?= Html::a('Ver detalles', ['site/view', 'id' => $entrada->identrada], ['class' => 'btn btn-primary']) ?>

                                
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>

    </div>
</div>

<div id="grafica-container" class="grafica-container entry">
    <?php
    use dosamigos\highcharts\HighCharts; // para utilizar la extensión de los gráficos

    //datos de la gráfica
    $data = [
        ['name' => 'Pensamientos Positivos', 'y' => $positivas],
        ['name' => 'Pensamientos Negativos', 'y' => $negativas],
    ];
    echo HighCharts::widget([
        'clientOptions' => [
            'chart' => [
                'type' => 'pie', // tipo de gráfico de pastel
                'backgroundColor' => 'rgba(0, 0, 0, 0)', //Fondo transparente
            ],
            'title' => ['text' => null], //Sin título
            'plotOptions' => [
                'pie' => [
                    'dataLabels' => [
                        'enabled' => true,
                        'style' => [
                            'color' => '#B65598', //Color del texto
                            'fontFamily' => '"Open Sans", Roboto, Lato, Montserrat, Nunito, "Source Sans Pro", "PT Sans", sans-serif',
                        ],
                    ],
                ],
            ],
            'series' => [
                [
                    'name' => 'Cantidad',
                    'data' => $data,
                    'dataLabels' => [
                        'enabled' => true,
                        'format' => '<b>{point.name}</b>: {point.percentage:.1f} %',
                    ],
                    'colors' => ['#B65598', '#e6d7f6'], //Colores de los trozos de pastel (positivo y negativo)
                ],
            ],
            'credits' => ['enabled' => false], //Desactivar los créditos de HighCharts
        ],
    ]);
    ?>
</div>

</body>

views/site/informacion.php
<?php
/** @var yii\web\View $this */
$this->title = 'My Yii Application';
use yii\helpers\Html;
use yii\helpers\Url;

?>

<div class="custom-container">
       
    </div>

  
        <div class="texto-infor">          
            <h1>Descubre más sobre Ikigai</h1>
        </div>
  

<div class="row d-flex">
    <!-- Tarjeta 1 -->
    <div class="col-md-4 mb-4">
        <div class="card-container" id="ikigai-card">
            <div class="image-container">
                <?= Html::img('@web/images/pequeIki.png', ['class' => 'imagen-transparente', 'alt' => 'Descripción de la imagen']) ?>
            </div>
            <div class="content-container">
                <h2>Significado de Ikigai</h2>
                <p>Según la cultura japonesa todos tenemos un ikigai, es decir, un propósito de vida o una actividad que nos hace muy felices. Encontrarlo requiere emprender un camino de emprendimiento y crecimiento personal, es decir, un autoconocimiento constante y tenaz que lleva al mejor de los premios: calidad de vida.</p>
            </div>
        </div>
    </div>

    <!-- Tarjeta 2 -->
    <div class="col-md-4 mb-4">
        <div class="card-container" id="Funcionalidad-card">
            <div class="image-container">
                <?= Html::img('@web/images/peqFun.png', ['class' => 'imagen-transparente', 'alt' => 'Descripción de la imagen']) ?>
            </div>
            <div class="content-container">
                <h2>¿Para qué sirve nuestra aplicación?</h2>
                <strong><p>Comprender tus Emociones:</strong> Identifica tus emociones para un mayor autoconocimiento.</p>
                <strong><p>Gestionar el Estrés:</strong> Encuentra técnicas y consejos para manejar el estrés diario.</p>
                <strong><p>Descubrir tu Ikigai:</strong> Explora actividades que te apasionen y contribuyan a tu bienestar general.</p>
            </div>
        </div>
    </div>

    <!-- Tarjeta 3 -->
    <div class="col-md-4 mb-4">
        <div class="card-container" id="Objetivos-card">
            <div class="image-container">
                <?= Html::img('@web/images/peqObj.png', ['class' => 'imagen-transparente', 'alt' => 'Descripción de la imagen']) ?>
            </div>
            <div class="content-container">
                <h2>Objetivos Personales</h2>
                <p>Establecer metas es fundamental para visualizar lo que verdaderamente es importante en tu vida. Te proporciona una dirección clara y te motiva a alcanzar tu máximo potencial. Requiere autodisciplina para superar los obstáculos que inevitablemente surgen en el camino. Al lograr tus metas, experimentas un profundo sentido de logro y satisfacción personal, lo cual fortalece tu autoestima y confianza en ti mismo.</p>
            </div>                  
        </div>
    </div>
</div>

views/site/login.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var app\models\LoginForm $model */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n{input}\n{error}",
            'labelOptions' => ['class' => 'col-lg-1 col-form-label mr-lg-3'],
            'inputOptions' => ['class' => 'col-lg-3 form-control'],
            'errorOptions' => ['class' => 'col-lg-7 invalid-feedback'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"offset-lg-1 col-lg-3 custom-control custom-checkbox\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="offset-lg-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="offset-lg-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>